Bug 251434 - devel/spice-protocol: update to 0.14.3
Summary: devel/spice-protocol: update to 0.14.3
Status: New
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Roman Bogorodskiy
URL:
Keywords: buildisok
Depends on:
Blocks: 255142
  Show dependency treegraph
 
Reported: 2020-11-28 09:32 UTC by Jack
Modified: 2021-04-17 07:02 UTC (History)
2 users (show)

See Also:
xxjack12xx: maintainer-feedback?


Attachments
Patch to upgrade spice-protocol to 0.14.3 (1.71 KB, text/plain)
2020-11-28 09:32 UTC, Jack
no flags Details
updated patch with pkgconfig path fixed (2.35 KB, patch)
2021-04-17 06:56 UTC, Roman Bogorodskiy
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jack 2020-11-28 09:32:25 UTC
Created attachment 220039 [details]
Patch to upgrade spice-protocol to 0.14.3

Upgrade spice-protocol to 0.14.3
Comment 1 Jack 2020-11-28 09:45:54 UTC
oops, thought i was maintainer of this port but am not.
Comment 2 Roman Bogorodskiy freebsd_committer 2020-11-28 13:09:20 UTC
(In reply to Jack from comment #0)

I tried to upgrade it previously and IIRC one of the dependencies (probably it was spice-gtk) didn't have a released version compatible with this version. I'll test it again a little later.
Comment 3 Roman Bogorodskiy freebsd_committer 2020-11-29 01:32:46 UTC
(In reply to Roman Bogorodskiy from comment #2)

spice-gtk seems to build fine, though spice-protocol needs
MESON_ARGS=    -Ddatadir=libdata
to get .pc file installed into proper location.
Comment 4 Roman Bogorodskiy freebsd_committer 2020-11-29 02:04:07 UTC
(In reply to Roman Bogorodskiy from comment #3)

devel/libspice-server fails with:

libtool: compile:  cc -DHAVE_CONFIG_H -I. -I.. -I.. -I.. -I/usr/local/include/pixman-1 -I/usr/local/include/glib-2.0 -I/usr/local/lib/glib-2.0/include -I/usr/local/include -pthread -I/usr/local/include/opus -I/usr/include -DG_LOG_DOMAIN=\"Spice\" -I/usr/local/include/spice-1 -isystem /usr/local/include -O2 -pipe -fstack-protector-strong -isystem /usr/local/include -fno-strict-aliasing -MT pixman_utils.lo -MD -MP -MF .deps/pixman_utils.Tpo -c pixman_utils.c -o pixman_utils.o >/dev/null 2>&1
generated_server_demarshallers.c:1469:28: error: use of undeclared identifier 'SPICE_TUNNEL_SERVICE_TYPE_IPP'
        if (type__value == SPICE_TUNNEL_SERVICE_TYPE_IPP) {
                           ^
generated_server_demarshallers.c:1480:36: error: use of undeclared identifier 'SPICE_TUNNEL_IP_TYPE_IPv4'
                if (type__value == SPICE_TUNNEL_IP_TYPE_IPv4) {
                                   ^
generated_server_demarshallers.c:1523:22: error: use of undeclared identifier 'SPICE_TUNNEL_SERVICE_TYPE_IPP'
    if (out->type == SPICE_TUNNEL_SERVICE_TYPE_IPP) {
                     ^
generated_server_demarshallers.c:1525:31: error: use of undeclared identifier 'SPICE_TUNNEL_IP_TYPE_IPv4'
        if (out->u.ip.type == SPICE_TUNNEL_IP_TYPE_IPv4) {
                              ^
4 errors generated.
gmake[6]: *** [Makefile:598: libspice_common_server_la-generated_server_demarshallers.lo] Error 1
Comment 5 Automation User 2020-12-14 00:08:13 UTC
Build and package info is available at https://gitlab.com/swills/freebsd-ports/pipelines/229207599
Comment 6 Jack 2021-03-30 05:36:57 UTC
spice-gtk now requires >=0.14.3 now so can't upgrade spice-gtk until this port is updated.

subprojects/spice-common/meson.build:110:2: ERROR: Invalid version of dependency, need 'spice-protocol' ['>= 0.14.3'] found '0.12.15'.
Comment 7 Roman Bogorodskiy freebsd_committer 2021-03-30 07:44:04 UTC
(In reply to Jack from comment #6)

I think we're still blocked by devel/libspice-server (I didn't double check, but I don't see any updates there and it's unlikely it works with the newer spice-protocol now). So I think we need to update it first to unblock other updates.
Comment 8 Roman Bogorodskiy freebsd_committer 2021-04-17 06:56:12 UTC
Created attachment 224176 [details]
updated patch with pkgconfig path fixed
Comment 9 Roman Bogorodskiy freebsd_committer 2021-04-17 07:01:42 UTC
libspice-server PR: https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=255142

Need to commit both at the same time as the new version of libspice-server depends on a new version of spice-protocol, and the old version of libspice-server doesn't work with the new spice-protocol.